<?php

/* DCMS Special
 * Дата последнего редактирования 20.01.2016
 * Модифицировал densnet
 */

if (isset($user) && $user['id'] == $ank['id']) {
    if (isset($_GET['act']) && $_GET['act'] == 'create') {
        if (isset($_GET['ok']) && isset($_POST['name']) && isset($_POST['opis'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])), 1);

            if (utf8_strlen($name) < 3) {
                $err = lang('Короткое название');
            }

            if (utf8_strlen($name) > 32) {
                $err = lang('Название не должно быть длиннее 32-х символов');
            }

            $name = mysql_real_escape_string($name);
            $msg = $_POST['opis'];

            if (utf8_strlen($msg) > 256) {
                $err = lang('Длина описания превышает предел в 256 символов');
            }

            $msg = mysql_real_escape_string($msg);

            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]' AND `name` = '$name'"), 0) != 0) {
                $err = lang('Альбом с таким названием уже существует');
            }

            if ($_POST['access'] == 'pass') {
                if (utf8_strlen($_POST['password']) < 1) {
                    $err[] = lang('Введите пароль');
                }

                if (utf8_strlen($_POST['password']) > 16) {
                    $err[] = lang('Пароль слишком длинный');
                }

                $password = $_POST['password'];
            } else {
                $password = NULL;
            }

            if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass', 'auth'))) {
                $access = $_POST['access'];
            } else {
                $access = 'all';
            }

            if (!isset($err)) {
                mysql_query("INSERT INTO `gallery` (`opis`, `time_create`, `id_user`, `name`, `time`, `access`, `password`) values('$msg', '$time', '$ank[id]', '$name', '$time', '$access', '$password')");
                $id = mysql_insert_id();
                header("Location: " . DIR_FOTO . "$ank[id]/$id/");
                exit();
            }
        }


        $new_gallery_access = 'all';

        #Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_FOTO . "'>" . lang('Фотоальбомы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_FOTO . "$ank[id]/'>" . lang('Альбомы') . " $ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новый альбом');
        echo "</div>";

        echo "<form class='list-group-item' name='new' style='margin-top: -1px;' action='?act=create&amp;ok' method='post'>";
        $doc->Input('name', 'Название альбома');
        $doc->Textarea('opis', 'Описание альбома');

        echo lang('Доступ') . ":<br />";
        echo "<div class='c-inputs-stacked'>
                <label class='c-input c-radio'><input value='all' name='access' type='radio' " . ($new_gallery_access == 'all' ? " checked='checked'" : null) . "><span class='c-indicator'></span><i class='fa fa-unlock fa-fw'></i> " . lang('Всем') . "</label>
                <label class='c-input c-radio'><input value='only_me' name='access' type='radio' " . ($new_gallery_access == 'only_me' ? " checked='checked'" : null) . "><span class='c-indicator'></span><i class='fa fa-lock fa-fw'></i> " . lang('Только мне') . "</label>
                <label class='c-input c-radio'><input value='auth' name='access' type='radio' " . ($new_gallery_access == 'auth' ? " checked='checked'" : null) . "><span class='c-indicator'></span><i class='fa fa-user fa-fw'></i> " . lang('Только авторизованным') . "</label>
                <label class='c-input c-radio'><input value='friends' name='access' type='radio' " . ($new_gallery_access == 'friends' ? " checked='checked'" : null) . "><span class='c-indicator'></span><i class='fa fa-users fa-fw'></i> " . lang('Только друзьям') . "</label>
                <label class='c-input c-radio'><input value='pass' name='access' type='radio' " . ($new_gallery_access == 'pass' ? " checked='checked'" : null) . "><span class='c-indicator'></span><i class='fa fa-key fa-fw'></i> " . lang('Только по паролю') . "</label>
              </div>";

        $doc->Input('password', 'Пароль альбома', "" . htmlspecialchars($user['anketa_password']) . "");
        echo "<br />";
        $doc->Button('btn btn-primary btn-sm', 'create', null, 'Создать');
        $doc->Link('btn btn-secondary btn-sm', '?', null, 'Отмена');

        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit();
    }
}

